> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Annotation Tags

> Get all tags that have been added to at least one annotation. Requires a role of at least Analyst



## OpenAPI

````yaml openapi/annotations.openapi.yaml GET /projects/{projectId}/annotations/tags
openapi: 3.0.2
info:
  title: Annotations API
  description: >-
    Use annotations to label specific points in time in your charts with a
    description.
  contact:
    url: https://mixpanel.com/get-support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Create Annotation
    description: Create an annotation for a project
  - name: Delete Annotation
    description: Delete annotation for a project
  - name: Retrieve Annotations
    description: List all annotations for the project
  - name: Update Annotation
    description: Change an existing annotations
paths:
  /projects/{projectId}/annotations/tags:
    parameters:
      - in: path
        name: projectId
        schema:
          type: integer
        required: true
        description: 'Your project id (eg: 12345)'
    get:
      tags:
        - Get Annotation tags
      summary: Get Annotation Tags
      description: >-
        Get all tags that have been added to at least one annotation. Requires a
        role of at least Analyst
      operationId: get-annotation-tags
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAnnotationTagsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  schemas:
    GetAnnotationTagsResponse:
      title: GetAnnotationTagsResponse
      description: The list of annotation tags that have been created
      type: array
      items:
        $ref: '#/components/schemas/AnnotationTag'
    AnnotationTag:
      title: AnnotationTag
      description: An annotation tag
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        project_id:
          type: number
        has_annotations:
          type: boolean
          description: whether the tag is currently attached to any annotations
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````